<script>
  export let bopi

  import Card from "sveltestrap/src/Card.svelte"
  import CardBody from "sveltestrap/src/CardBody.svelte"
  import Table from "sveltestrap/src/Table.svelte"

  import PublishedAt from "./PublishedAt.svelte"
  import PublishedRange from "./PublishedRange.svelte"
</script>

<Card>
  <CardBody>
    <Table responsive striped="true" bordered="true" hover="true">
      <thead>
        <tr>
          <td>Numéro</td>
          <td>Publications</td>
          <td>Date de publication</td>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>{bopi.id}</td>
          <td>
            <PublishedRange {bopi} />
          </td>
          <td>
            <PublishedAt {bopi} />
          </td>
        </tr>
      </tbody>
    </Table>
  </CardBody>
</Card>
